var PowerChat = function(){
      
};

/**
 *开启视频聊天 
 * @param {Object} ip               服务器ip
 * @param {Object} port             服务器端口
 * @param {Object} userName         自己的用户名称(中文)
 * * @param {Object} remoteUserName 对方的用户名称(中文)
 * @param {Object} roomName         聊天房间名称
 * @param {callBackFunc}            信息反馈回调函数
 * 
 * callBackFunc说明： 
 *  callBackFunc( nCode, msg )
 *        nCode 状态代码  1 表示视频聊天成功结束       2 表示视频聊天取消（未成功视频）
 *        msg   提示信息，比如：本次视频10分15秒
 */
PowerChat.open = function(ip, port, userName, remoteUserName, roomName, callBackFunc){
    PowerChat.callBackFunc = callBackFunc;
    pexAnyChat.startChat( sid, ip, port, userName, remoteUserName, roomName );
};

//接收原生的状态反馈
PowerChat.onState = function( code, msg ){
    if( typeof(PowerChat.callBackFunc) != "undefined" ){
        PowerChat.callBackFunc( code, msg );
    }
};

